﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Styles;

namespace WindowsFormsApplication11
{
  public partial class Form1 : Form
  {
    private TChart fChart;

    public Form1()
    {
      InitializeComponent();
    }

    private void Form1Load(object sender, EventArgs e)
    {
      fChart = new TChart(this);

      fChart.Aspect.View3D = false;
           
      fChart.Walls.Back.Gradient.StartColor = Color.Aqua;
      fChart.Walls.Back.Gradient.EndColor = Color.Crimson;
      
      
      fChart.Dock = DockStyle.Fill;          
      Controls.Add(fChart);      
    }

    private void AddRealDataToolStripMenuItemClick(object sender, EventArgs e)
    {
      var testLine = new Line(fChart.Chart); 

      testLine.FillSampleValues();
    }









    // Please ignore the following. Just added because I thought the problem did have a relation 
    // to whitch data was plotted - it don't seem to be the case.

    private List<double?> getTestData(int count = 100)
    {
      var r = new Random();
      var result = new List<double?>();

      for (var i = 0; i < count; i++)
      {
        var a = r.Next(1000);
        result.Add(a/100.0);
      }

      return result;
    }

    private void AddDataNoErrorToolStripMenuItemClick(object sender, EventArgs e)
    {
      var dataStructure = getTestData();

      var testLine = new FastLine(fChart.Chart);
      
      for (var i = 0; i < dataStructure.Count; i++)
      {
        testLine.Add(new DateTime(DateTime.Now.Ticks + i * 10000000), dataStructure[i]);
      }
    }

    private void ClearToolStripMenuItemClick(object sender, EventArgs e)
    {
      fChart.Series.Clear();
    }
  }
}
